# Get an audit log

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/auditLogs/:id`

This endpoint allows you to retrieve a specific audit log.

### Headers

<table><thead><tr><th width="265">Name</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="265">Name</th><th width="96">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the audit log.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/auditLogs/{:auditLogId} \
     -H 'Authorization: <YOUR_API_KEY>' 
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const auditLog = await complycube.auditLog.get("AUDIT_LOG_ID");
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

audit_log = cc_api.auditlogs.get('AUDIT_LOG_ID')
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$auditLog = $ccapi->auditLogs()->get('AUDIT_LOG_ID');
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.AuditLogs;

var auditLogApi = new AuditLogApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var auditLog = await auditLogApi.GetAsync("AUDIT_LOG_ID");
```

{% endtab %}
{% endtabs %}

### Example responses

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "id": "5f2acdcebbddb422f9b60e7b",
    "memberId": "VNARgK33nMASdJKdi",
    "resourceType": "client",
    "resourceId": "5f2aca5fbbddb422f9b60e79",
    "clientId": "5f2aca5fbbddb422f9b60e79",
    "trigger": "updateClient",
    "action": "update",
    "diff": [
        {
            "action": "update",
            "path": [
                "personDetails",
                "firstName"
            ],
            "old": "Joe",
            "new": "John"
        },
        {
            "action": "new",
            "path": [
                "personDetails",
                "dob"
            ],
            "new": "1969-09-23"
        },
        {
            "action": "new",
            "path": [
                "personDetails",
                "nationality"
            ],
            "new": "US"
        },
        {
            "action": "update",
            "path": [
                "updatedAt"
            ],
            "old": "2020-01-01T15:03:59.913Z",
            "new": "2020-01-01T15:18:38.273Z"
        },
        {
            "action": "new",
            "path": [
                "lastActionBy"
            ],
            "new": "VNARgK33nMASdJKdi"
        }
    ],
    "createdAt": "2020-01-01T15:18:38.347Z"
}
```

{% endtab %}

{% tab title="Resource Not Found (404)" %}

```json
{
    "type": "resource_not_found",
    "message": "Invalid audit log id '7eb04fcd0f3e361008035eb2'"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/audit-logs/get-an-audit-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
